Name:           x11vnc
Version:        0.9.16
Release:        %mkrel 4
Summary:        VNC server for the current X11 session
License:        GPLv2+
Group:          System/X11
URL:            http://www.karlrunge.com/x11vnc/
Source0:        https://github.com/LibVNC/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         x11vnc-0.9.16-Fix-build-with-fno-common.patch
Patch1:         x11vnc-0.9.16-CVE-2020-29074.patch
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(libvncserver)
BuildRequires:  pkgconfig(openssl)
# for -gui
Requires:       tk

%description
What WinVNC is to Windows x11vnc is to X Window System, i.e. a server
which serves the current X Window System desktop via RFB (VNC)
protocol to the user.

Based on the ideas of x0rfbserver and on LibVNCServer it has evolved into a
versatile and productive while still easy to use program.


%prep
%autosetup -p1

#make autoreconf more happy
sed -i -e 's,AM_INIT_AUTOMAKE.*,AM_INIT_AUTOMAKE(\[subdir-objects\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure --with-system-libvncserver --without-tightvnc-filetransfer
%make_build

%install
%make_install

rm -fr %buildroot%_includedir

%files
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_mandir}/man1/x11vnc.1*
%{_bindir}/x11vnc
%{_bindir}/Xdummy
%{_datadir}/applications/x11vnc.desktop


%changelog
* Tue Dec 01 2020 ns80 <ns80> 0.9.16-4.mga8
+ Revision: 1651092
- add upstream patch for CVE-2020-29074 (mga#27684)

* Sat May 16 2020 danf <danf> 0.9.16-3.mga8
+ Revision: 1584220
- Fix multiple definition errors with gcc 10

* Fri Feb 14 2020 umeabot <umeabot> 0.9.16-2.mga8
+ Revision: 1522026
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jan 14 2019 luigiwalser <luigiwalser> 0.9.16-1.mga7
+ Revision: 1356786
- 0.9.16
- update source URL
- remove upstream patch

* Sun Sep 23 2018 umeabot <umeabot> 0.9.14-5.mga7
+ Revision: 1301787
- Mageia 7 Mass Rebuild

* Wed Jul 11 2018 wally <wally> 0.9.14-4.mga7
+ Revision: 1243053
- fix build on aarch64
- use new make macros

* Wed Sep 06 2017 cjw <cjw> 0.9.14-3.mga7
+ Revision: 1151613
- rebuild with openssl 1.1
+ guillomovitch <guillomovitch>
- change build dependencies to keep building against openssl 1.0

* Fri Jan 13 2017 mrambo3501 <mrambo3501> 0.9.14-2.mga6
+ Revision: 1081548
- bump rel to rebuild for new libvncserver

* Wed Mar 16 2016 tv <tv> 0.9.14-1.mga6
+ Revision: 992128
- new release

* Thu Mar 03 2016 umeabot <umeabot> 0.9.13-10.mga6
+ Revision: 984767
- Rebuild for openssl

* Sun Jan 03 2016 luigiwalser <luigiwalser> 0.9.13-9.mga6
+ Revision: 918671
- add upstream patch to fix crash on xrandr resize event (rhbz#1118353)

* Thu Nov 27 2014 cjw <cjw> 0.9.13-8.mga5
+ Revision: 799708
- add depencency on tk for -gui (mga#11942)

* Wed Oct 15 2014 umeabot <umeabot> 0.9.13-7.mga5
+ Revision: 742352
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.13-6.mga5
+ Revision: 690531
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 luigiwalser <luigiwalser> 0.9.13-5.mga5
+ Revision: 666089
- use configure options to try to avoid security issues in bundled libvncserver

* Fri Oct 18 2013 umeabot <umeabot> 0.9.13-4.mga4
+ Revision: 520384
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.9.13-3.mga3
+ Revision: 386401
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.9.13-2.mga3
+ Revision: 324880
- rebuild for Mga3 Beta1

* Sat Feb 25 2012 kamil <kamil> 0.9.13-1.mga2
+ Revision: 214258
- new version 0.9.13

* Sat Feb 25 2012 kamil <kamil> 0.9.12-1.mga2
+ Revision: 214253
- clean .spec
- imported package x11vnc


* Sun Nov 28 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.9.12-1mdv2011.0
+ Revision: 602291
- new version 0.9.12

* Mon Aug 09 2010 Funda Wang <fwang@mandriva.org> 0.9.11-1mdv2011.0
+ Revision: 568020
- new version 0.9.11

* Wed Jul 28 2010 Matthew Dawkins <mattydaw@mandriva.org> 0.9.10-1mdv2011.0
+ Revision: 562688
- new version 0.9.10

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 0.9.9-2mdv2010.1
+ Revision: 533626
- rebuild

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.9.9-1mdv2010.1
+ Revision: 492118
- New version 0.9.9

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 0.9.8-2mdv2010.0
+ Revision: 419821
- rebulid for new libjpeg v7

* Fri Jul 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.8-1mdv2010.0
+ Revision: 394043
- Update to new version 0.9.8

* Tue Dec 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.6-1mdv2009.1
+ Revision: 321453
- new version
- fix format errors
- don't recompress sources

* Fri Oct 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.5-1mdv2009.1
+ Revision: 297013
- update to new version 0.9.5

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.9.3-4mdv2009.0
+ Revision: 262202
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.9.3-3mdv2009.0
+ Revision: 256487
- rebuild
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request
- delete old sources

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.3-1mdv2008.1
+ Revision: 97354
- New release 0.9.3

* Fri May 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 31136
- update, and ensure use of system libvncserver


* Sun Apr 02 2006 Jerome Soyer <saispo@mandriva.org> 0.8-1mdk
- New release 0.8

* Mon Jan 16 2006 Michael Scherer <misc@mandriva.org> 0.7.2-1mdk
- initial release, based on Dag Wiers specfile
